Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	GPAC is an implementation of the MPEG-4 Systems standard developed from scratch in ANSI C.
Name:      	gpac
Version:   	0.4.4
Release:   	2
License: 	GPL-2
URL:		http://gpac.sourceforge.net
Group:     	Video
Source0: 	%{name}-%{version}.tar.gz
Source1:	26104-610.zip
Source2:	26204-600.zip
Patch0:		gpac-0.4.2-configure-ogg.patch
Patch1:		gpac-0.4.4-DESTDIR.patch
Patch2:		gpac-0.4.2-ffmpeg-snapshots-compat.patch
Patch3:		gpac-0.4.4-javascript.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides:	libgpac.so
BuildRequires:	unzip faad2-devel ffmpeg-devel libjpeg-devel firefox-devel
BuildRequires:	libmad-devel mesa-libGL-devel libogg-devel libpng-devel
BuildRequires:	libvorbis-devel libtheora-1.0-devel freetype-devel
BuildRequires:	wxGTK-devel libxml2-devel xvidcore-devel SDL-devel
BuildRequires:  libXrandr-devel startup-notification-devel
BuildRequires:  libXext-devel libX11-devel libXtst-devel libXxf86vm-devel
BuildRequires:  libXxf86dga-devel libXxf86misc-devel libXi-devel
BuildRequires:  libXrender-devel libXinerama-devel libdmx-devel libXp-devel

%description
GPAC is an implementation of the MPEG-4 Systems standard developed from scratch in ANSI C.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name} -a1 -a2
%patch0
%patch1 -p0
%patch2 -p1 
sed -ie '/ldconfig / d' "Makefile"
unzip -jaq 26104-610_ANSI_C_source_code.zip -d modules/amr_float_dec/amr_nb_ft
unzip -jaq 26204-600_ANSI-C_source_code.zip -d modules/amr_float_dec/amr_wb_ft
%patch3
chmod u+x configure

%build
export LDFLAGS="$LDFLAGS -L/usr/lib/firefox"
./configure --prefix=%_prefix --extra-ldflags="$LDFLAGS" --mandir=%_mandir \
	--use-ogg=system --use-vorbis=system --use-theora=system \
	--enable-amr --enable-opengl --enable-oss-audio --enable-ssl \
	--use-ffmpeg=system --use-faad=system --use-jpeg=system \
	--use-mad=system --use-js=system --use-png=system --use-ft=system \
	--use-xvid=system --with-jsapi-include=/usr/include/firefox/js
make OPTFLAGS="${CFLAGS}"

%install
rm -rf $RPM_BUILD_ROOT 

make OPTFLAGS="${CFLAGS}" install DESTDIR=$RPM_BUILD_ROOT
make OPTFLAGS="${CFLAGS}" install-lib DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/MP4Box
%_bindir/MP4Client
%_bindir/Osmo4
%_libdir/*.*.so
%_libdir/gpac
%_mandir
%_datadir

%files devel
%defattr(-,root,root)
%_includedir/gpac
%_libdir/*.a
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.4.4-2
- recompile against new ffmpeg
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 0.4.4-1
- Version update
* Thu Jan 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.2-1
- Initial Release
